GWT 2.7.0

## com.google.gwt.user.client
Class DeferredCommand

    java.lang.Object
      com.google.gwt.user.client.DeferredCommand

Deprecated. Replaced by `Scheduler.scheduleDeferred()` because the static nature of this API prevents effective mocking for JRE-only tests.

    @Deprecated
    public class DeferredCommand

extends java.lang.Object

This class allows you to execute code after all currently pending event handlers have completed, using the `addCommand(Command)` or `addCommand(IncrementalCommand)` methods. This is useful when you need to execute code outside of the context of the current stack.

Constructor Summary
`DeferredCommand()` Deprecated.

Method Summary
`static void` | `add(Command cmd)` Deprecated. As of release 1.4, replaced by `addCommand(Command)`
`static void` | `addCommand(Command cmd)` Deprecated. Enqueues a `Command` to be fired after all current events have been handled.
`static void` | `addCommand(IncrementalCommand cmd)` Deprecated. Enqueues an `IncrementalCommand` to be fired after all current events have been handled.
`static void` | `addPause()` Deprecated. with no replacement because the presence of this method causes arbitrary scheduling decisions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeferredCommand

    public DeferredCommand()

  Deprecated.

Method Detail

### add

    @Deprecated
    public static void add(Command cmd)

  Deprecated. As of release 1.4, replaced by `addCommand(Command)`

  Enqueues a `Command` to be fired after all current events have been handled.

  Parameters:
    `cmd` - the command to be fired. If cmd is null, a "pause" will be inserted into the queue. Any events added after the pause will wait for an additional cycle through the system event loop before executing. Pauses are cumulative.

### addCommand

    public static void addCommand(Command cmd)

  Deprecated.
  Enqueues a `Command` to be fired after all current events have been handled. Note that the `Command` should not perform any blocking operations.

  Parameters:
    `cmd` - the command to be fired
  Throws:
    `java.lang.NullPointerException` - if cmd is `null`

### addCommand

    public static void addCommand(IncrementalCommand cmd)

  Deprecated.
  Enqueues an `IncrementalCommand` to be fired after all current events have been handled. Note that the `IncrementalCommand` should not perform any blocking operations.

  Parameters:
    `cmd` - the command to be fired
  Throws:
    `java.lang.NullPointerException` - if cmd is `null`

### addPause

    @Deprecated
    public static void addPause()

  Deprecated. with no replacement because the presence of this method causes arbitrary scheduling decisions

  Adds a "pause" to the queue of `DeferredCommand`s. Any `DeferredCommand`s or pauses that are added after this pause will wait for an additional cycle through the system event loop before executing.

GWT 2.7.0